Summary: IP firewall and accounting administration tool
Name: ipchains
Version: 1.3.8
Release: 2
Source: ftp://ftp.rustcorp.com/ipchains/ipchains-1.3.8.tar.gz
Source1: ftp://ftp.rustcorp.com/ipchains/ipchains-scripts-1.0.2.tar.gz
Copyright: GPL
Group: Utilities/System
BuildRoot: /var/tmp/ipchains-root
URL: http://www.rustcorp.com/linux/ipchains/

%changelog

* Wed Dec 09 1998 C.W.Huang <cwhuang@cle.linux.org.tw>
- Updated to v1.3.8.

* Tue Oct 06 1998 C.W.Huang <cwhuang@phys.ntu.edu.tw>
- Rebuild v1.3.5 due to disk corrupt...

* Mon May 25 1998 C.W.Huang <cwhuang@trinova.com.tw>
- first release of v1.3.4.

%description
Linux IP Firewalling Chains is an update to (and hopefully an
improvement upon) the normal Linux Firewalling code, for 2.0 and 2.1
kernels. The concept and chunks of the implementation were grabbed from
ipfwadm 2.3; the name has been changed to avoid confusion, as `ipfwadm'
will NOT work with kernels with the new firewall code.
If your kernel version is before 2.1.102; you need the ipfwchains
patch to the 2.1.x or 2.0.x kernel series.

You need to be running a kernel compiled with CONFIG_IP_FIREWALL (for
2.1.102 and above) or CONFIG_IP_FIREWALL_CHAINS set to `y'.  You can
tell that your current kernel is compiled with this by looking for
`/proc/net/ip_fwchains' - if it exists, then your kernel is ready for
the ipchains utility. See the file "HOWTO.txt" for more details.

%prep
%setup -a 1

%build
make COPTS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man4
mkdir -p $RPM_BUILD_ROOT/usr/man/man8

install -m 755 -s -o 0 -g 0 ipchains $RPM_BUILD_ROOT/sbin
install -m 644 -o 0 -g 0 ipfw.4 $RPM_BUILD_ROOT/usr/man/man4
install -m 644 -o 0 -g 0 ipchains.8 $RPM_BUILD_ROOT/usr/man/man8
cd ipchains-scripts-1.0.2
install -m 755 -o 0 -g 0 ipchains-save $RPM_BUILD_ROOT/sbin
install -m 755 -o 0 -g 0 ipchains-restore $RPM_BUILD_ROOT/sbin
install -m 755 -o 0 -g 0 ipfwadm-wrapper $RPM_BUILD_ROOT/sbin
install -m 644 -o 0 -g 0 *.8 $RPM_BUILD_ROOT/usr/man/man8

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING README HOWTO.txt ipchains-refcard.a4.ps
/sbin/ipchains
/sbin/ipchains-save
/sbin/ipchains-restore
/sbin/ipfwadm-wrapper
/usr/man/man4/ipfw.4
/usr/man/man8/ipchains.8
/usr/man/man8/ipchains-save.8
/usr/man/man8/ipchains-restore.8
/usr/man/man8/ipfwadm-wrapper.8
